Package org.eclipse.emf.compare.rcp.internal.extension.impl

## Class WrapperItemDescriptor<T>

- java.lang.Object
- - org.eclipse.emf.compare.rcp.internal.extension.impl.AbstractItemDescriptor<T>
  - - org.eclipse.emf.compare.rcp.internal.extension.impl.WrapperItemDescriptor<T>

Type Parameters:
  `T` - On factory

All Implemented Interfaces:
  `Comparable<IItemDescriptor<T>>`, `IItemDescriptor<T>`

    public class WrapperItemDescriptor<T>
    extends AbstractItemDescriptor<T>

A `IItemDescriptor` that wrap one instance of an item and return the same item each time.

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.rcp.internal.extension.impl.AbstractItemDescriptor

`EMPTY_STRING`

### Constructor Summary

Constructors
`WrapperItemDescriptor​(String label, String description, int rank, String id, T instance)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getItem()` Create an item.

### Methods inherited from class org.eclipse.emf.compare.rcp.internal.extension.impl.AbstractItemDescriptor

`compareTo, getDescription, getID, getItemFunction, getLabel, getRank, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WrapperItemDescriptor

    public WrapperItemDescriptor​(String label,
                                 String description,
                                 int rank,
                                 String id,
                                 T instance)

Constructor.

Parameters:
  `label` - `IItemDescriptor.getLabel()`
  `description` - `IItemDescriptor.getDescription()`
  `rank` - `IItemDescriptor.getRank()`
  `id` - `IItemDescriptor.getID()`
  `instance` - Instance of the factory

### Method Detail

#### getItem

    public T getItem()

Create an item.

Returns:
  a item instance